Subject: Re: [PATCH] kbuild: Add '-fms-extensions' to areas with dedicated CFLAGS

From: Nathan Chancellor <[email-masked]>
Date: Thu, 6 Nov 2025 10:47:52 -0700

On Wed, Nov 05, 2025 at 12:39:31PM -0700, Nathan Chancellor wrote:
> I was planning to make it stable tomorrow to give folks time to chime in
> at the beginning of the week. I have your tag and Ard's to add. After
> that, we will just have to rely on the link to this submission for
> follow ups.

Alright, this should be the final result. If there are any other Acks
that come in later, they will just have to be recorded here. If there
are any follow up fixes needed, I will apply them on top and update the
tag but the branch will not be rebased.

Cheers,
Nathan

The following changes since commit 3a8660878839faadb4f1a6dd72c3179c1df56787:

  Linux 6.18-rc1 (2025-10-12 13:42:36 -0700)

are available in the Git repository at:

  git://git.kernel.org/pub/scm/linux/kernel/git/kbuild/linux.git tags/kbuild-ms-extensions-6.19

for you to fetch changes up to 5ff8ad3909524ad55297a434f87c238224825bf4:

  kbuild: Add '-fms-extensions' to areas with dedicated CFLAGS (2025-10-30 21:26:28 -0400)

----------------------------------------------------------------
Shared branch between Kbuild and other trees for enabling '-fms-extensions' for 6.19

Signed-off-by: Nathan Chancellor <[email-masked]>

----------------------------------------------------------------
Nathan Chancellor (2):
      jfs: Rename _inline to avoid conflict with clang's '-fms-extensions'
      kbuild: Add '-fms-extensions' to areas with dedicated CFLAGS

Rasmus Villemoes (1):
      Kbuild: enable -fms-extensions

 Makefile                              | 3 +++
 arch/arm64/kernel/vdso32/Makefile     | 3 ++-
 arch/loongarch/vdso/Makefile          | 2 +-
 arch/parisc/boot/compressed/Makefile  | 2 +-
 arch/powerpc/boot/Makefile            | 3 ++-
 arch/s390/Makefile                    | 3 ++-
 arch/s390/purgatory/Makefile          | 3 ++-
 arch/x86/Makefile                     | 4 +++-
 arch/x86/boot/compressed/Makefile     | 7 +++++--
 drivers/firmware/efi/libstub/Makefile | 4 ++--
 fs/jfs/jfs_incore.h                   | 6 +++---
 scripts/Makefile.extrawarn            | 4 +++-
 12 files changed, 29 insertions(+), 15 deletions(-)